Bug 175484 - ftpd isn't allowed to access httpd_sys_content_t files
ftpd isn't allowed to access httpd_sys_content_t files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-11 13:40 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 23:27:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-12-11 13:40:45 EST
Description of problem:
I've got the following situation: Each user of my system has his/her virtual 
hosts in $HOME/web/<vhost> - per default, all files and directories in $HOME/web 
are labeled with httpd_sys_content_t. Using shell everything is okay, but when 
using ftpd for trying to modify the web content, permission is denied.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.1.2-1

Actual results/Expected results:
I added the following rules solving this for my personal use, but maybe these 
could be added at upstream using a selinux boolean or similar?

allow ftpd_t httpd_sys_content_t:dir { create_dir_perms rw_dir_perms };
allow ftpd_t httpd_sys_content_t:file create_file_perms;
allow ftpd_t httpd_sys_content_t:lnk_file create_lnk_perms;
Comment 1 Daniel Walsh 2005-12-12 23:27:32 EST
Could you change the file types to 
public_content_rw_t

Than set the boolean

setsebool -P allow_ftpd_anon_write=1

Should get you what you want.

man ftpd_selinux
man httpd_selinux
for more info

Note You need to log in before you can comment on or make changes to this bug.